Python
from kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.hris.delete_absence(absence_id="wXJMxwDvPAjrJ4CyqdV9")
# Handle response
print(res)import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.hris.deleteAbsence({
absence_id: "wXJMxwDvPAjrJ4CyqdV9",
body: {},
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.hris.delete_absence(absence_id: 'wXJMxwDvPAjrJ4CyqdV9', body: Models::Shared::DeleteHrisAbsencesAbsenceIdRequestBody.new)
unless res.delete_hris_absences_absence_id_positive_response.nil?
# handle response
endcurl --request DELETE \
--url https://api.kombo.dev/v1/hris/absences/{absence_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '{}'const options = {
method: 'DELETE',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.kombo.dev/v1/hris/absences/{absence_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/absences/{absence_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/hris/absences/{absence_id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.kombo.dev/v1/hris/absences/{absence_id}")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();{
"status": "success",
"data": {
"id": "22st2Ji8XpncEYEak8mvQgQF",
"remote_id": "1348",
"employee_id": "JDdUy9kiH5APaGizFrgNmQjM",
"approver_id": "AgXEispYPP1BbToHpqnqcpxy",
"start_date": "2022-08-04",
"end_date": "2022-08-05",
"start_half_day": true,
"end_half_day": false,
"start_time": "13:15:00",
"end_time": "17:00:00",
"amount": 2,
"unit": "DAYS",
"status": "APPROVED",
"employee_note": "Visiting my family.",
"type_id": "xzZoKssDaMZAd62kxayzzQvD",
"remote_created_at": "2022-08-07T14:01:29.196Z",
"remote_updated_at": "2022-08-07T14:01:29.196Z",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": "2022-08-07T14:01:29.196Z",
"remote_data": null
},
"warnings": [
{
"message": "This is an example warning!"
}
]
}Time off
Delete absence
Delete this absence.
DELETE
/
hris
/
absences
/
{absence_id}
Python
from kombo import Kombo
with Kombo(
integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.hris.delete_absence(absence_id="wXJMxwDvPAjrJ4CyqdV9")
# Handle response
print(res)import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.hris.deleteAbsence({
absence_id: "wXJMxwDvPAjrJ4CyqdV9",
body: {},
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.hris.delete_absence(absence_id: 'wXJMxwDvPAjrJ4CyqdV9', body: Models::Shared::DeleteHrisAbsencesAbsenceIdRequestBody.new)
unless res.delete_hris_absences_absence_id_positive_response.nil?
# handle response
endSupported integrations
Supported integrations
This feature is currently available for the following integrations:
Personio
SAP SuccessFactors
Factorial
BambooHR
HiBob
Deel
Sesame HR
HR WORKS
AlexisHR
Simployer
Absence.io
Kombo Sandbox
This endpoint requires the permission Manage absences to be enabled in your scope config.
Example Request Body
{
"absence_id": "wXJMxwDvPAjrJ4CyqdV9"
}
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The Kombo ID of the absence
Body
application/json
DELETE /hris/absences/:absence_id Request body
Additional fields that we will pass through to specific HRIS systems.
Show child attributes
Show child attributes
Response
DELETE /hris/absences/:absence_id Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{
"id": "22st2Ji8XpncEYEak8mvQgQF",
"remote_id": "1348",
"employee_id": "JDdUy9kiH5APaGizFrgNmQjM",
"approver_id": "AgXEispYPP1BbToHpqnqcpxy",
"start_date": "2022-08-04",
"end_date": "2022-08-05",
"start_half_day": true,
"end_half_day": false,
"start_time": "13:15:00",
"end_time": "17:00:00",
"amount": 2,
"unit": "DAYS",
"status": "APPROVED",
"employee_note": "Visiting my family.",
"type_id": "xzZoKssDaMZAd62kxayzzQvD",
"remote_created_at": "2022-08-07T14:01:29.196Z",
"remote_updated_at": "2022-08-07T14:01:29.196Z",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": "2022-08-07T14:01:29.196Z",
"remote_data": null
}
These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.
Show child attributes
Show child attributes
Was this page helpful?
⌘I